# TxResponse | xrpl
Documentation for xrpl

# Interface TxResponse<T>

Response expected from a TxRequest.

#### Type Parameters

- #### T extends BaseTransaction = Transaction | PseudoTransaction

#### Hierarchy

- BaseResponse
  - TxResponse

- Defined in packages/xrpl/src/models/methods/tx.ts:50

#####
Index

### Properties

api_version?
forwarded?
id
result
searched_all?
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
ctid?: string;
date?: number;
hash: string;
ledger_index?: number;
meta?: string | TransactionMetadata ;
validated?: boolean;
} & T

#### Type declaration

- ##### `Optional` ctid?: string

  The Concise Transaction Identifier of the transaction (16-byte hex string)

- ##### `Optional` date?: number

  This number measures the number of seconds since the "Ripple Epoch" of January 1, 2000 (00:00 UTC)

- ##### hash: string

  The SHA-512 hash of the transaction.

- ##### `Optional` ledger_index?: number

  The ledger index of the ledger that includes this transaction.

- ##### `Optional` meta?: string | TransactionMetadata

  Transaction metadata, which describes the results of the transaction. Can be undefined if a transaction has not been validated yet.

- ##### `Optional` validated?: boolean

  If true, this data comes from a validated ledger version; if omitted or. Set to false, this data is not final.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/tx.ts:53

### `Optional` searched_all

searched_all?: boolean

If true, the server was able to search all of the specified ledger versions, and the transaction was in none of them. If false, the server did not have all of the specified ledger versions available, so it is not sure. If one of them might contain the transaction.

- Defined in packages/xrpl/src/models/methods/tx.ts:81

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc